#include "std.mi"

Function fn_MoveGroup(Group g, int TargetX, int TargetY, Float SpeedA, int TargetA);
Function fn_MoveButton(Button b, int TargetX, int TargetY, Float SpeedA, int TargetA);

Global Group	grpMain;
Global Group	grpItem01;
Global Group	grpItem02;
Global Group	grpItem03;
Global Group	grpBGImage;
Global Group	grpText01;
Global Group	grpPlaypause;
Global Group	grpVis;
Global Group	grpAniVuL;
Global Group	grpAniVuR;
Global Group	grpAniVuM;
Global Group	grpAlbumArt;
Global Group	grpToday;
Global Group	grpComoBtn;
Global Button	btnPrev;
Global Button	btnNext;
Global Button	btnStop;
Global Button	btnetc;
Global Timer	tmrStart;

System.onScriptLoaded(){

	grpMain 	= getScriptGroup();
	grpItem01 	= grpMain.findObject("Item01.Group");
	grpItem02 	= grpMain.findObject("Item02.Group");
	grpItem03 	= grpMain.findObject("Item03.Group");
	grpBGImage 	= grpMain.findObject("BGImage.Group");
	grpText01 	= grpMain.findObject("Text01.Group");
	grpPlaypause 	= grpMain.findObject("Playpause.Group");
	grpVis		= grpMain.findObject("Vis.Group");
	grpAniVuL 	= grpMain.findObject("AniVuL.Group");
	grpAniVuR 	= grpMain.findObject("AniVuR.Group");
	grpAniVuM 	= grpMain.findObject("AniVuM.Group");
	grpAlbumArt 	= grpMain.findObject("AlbumArt.Group");
	grpToday 	= grpMain.findObject("today.Group");
	grpComoBtn 	= grpMain.findObject("CompoButtons.Group");
	btnPrev		= grpMain.findObject("Previous");
	btnNext		= grpMain.findObject("Next");
	btnStop		= grpMain.findObject("Stop");
	btnetc		= grpMain.findObject("etc");

	tmrStart = new Timer;
	tmrStart.setDelay(1000);
	tmrStart.start();
}

System.onScriptUnloading() {

	tmrStart.Stop();
	delete tmrStart;
}


tmrStart.onTimer() {

	tmrStart.Stop();

	fn_MoveGroup(grpItem01, 0, 0, 2.0, 0);
	fn_MoveGroup(grpBGImage, -80, -20, 2.0, 255);
	fn_MoveGroup(grpText01, 0, 150, 1.0, 0);
}

grpItem01.ontargetreached(){

	fn_MoveGroup(grpItem02, 0, 330, 0.5, 255);
	fn_MoveGroup(grpItem03, 0, 0, 0.5, 255);

}
grpItem02.ontargetreached(){

	fn_MoveGroup(grpPlaypause, 98, 44, 1.0, 255);
	fn_MoveButton(btnPrev, 65, 50, 0.5, 255);
	fn_MoveButton(btnNext, 143, 50, 1.5, 255);
	fn_MoveButton(btnStop, 178, 54, 1.5, 255);
	fn_MoveGroup(grpVis, 0, 290, 0.5, 255);
	fn_MoveGroup(grpAniVuL, 37, 196, 0.1, 255);
	fn_MoveGroup(grpAniVuR, 150, 236, 0.1, 255);
	fn_MoveGroup(grpAniVuM, 107, 35, 0.1, 255);
	fn_MoveGroup(grpToday, 0, 17, 0.3, 255);
	fn_MoveGroup(grpAlbumArt, 7, 268, 0.3, 255);
}

btnStop.ontargetreached(){

	fn_MoveGroup(grpComoBtn, 4, 333, 0.3, 255);
}

fn_MoveGroup(Group g, int TargetX, int TargetY, Float SpeedA, int TargetA){

        g.setTargetX(TargetX);
        g.setTargetY(TargetY);
        g.setTargetSpeed(SpeedA);
        g.setTargetA(TargetA);
        g.gotoTarget();
}
fn_MoveButton(Button b, int TargetX, int TargetY, Float SpeedA, int TargetA){

        b.setTargetX(TargetX);
        b.setTargetY(TargetY);
        b.setTargetSpeed(SpeedA);
        b.setTargetA(TargetA);
        b.gotoTarget();
}